Analytics
Get project analytics
Requires analytics.read. startDate and endDate are calendar days (YYYY-MM-DD, inclusive) in the team timezone; endDate must not be before startDate. Granularity defaults to hour when endDate is at most 3 days after startDate, otherwise day.
GET
/
v1
/
projects
/
{id}
/
analytics
/
overview
Get project analytics
curl --request GET \
--url https://api.trackup.me/v1/projects/{id}/analytics/overview \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.trackup.me/v1/projects/{id}/analytics/overview"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.trackup.me/v1/projects/{id}/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trackup.me/v1/projects/{id}/analytics/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trackup.me/v1/projects/{id}/analytics/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trackup.me/v1/projects/{id}/analytics/overview")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trackup.me/v1/projects/{id}/analytics/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"granularity": "hour",
"totalRequests": 3,
"uniqueVisitors": 2,
"totalConversions": 1,
"totalRevenue": 49.9,
"averageOrderValue": 49.9,
"requestsOverTime": [
{
"date": "2026-06-01 12:00:00.000",
"requests": 3,
"visitors": 2
}
],
"revenueOverTime": [
{
"date": "2026-06-01 12:00:00.000",
"revenue": 49.9,
"conversions": 1
}
],
"topCountries": [
{
"country": "BR",
"count": 3
}
],
"trafficSources": [
{
"source": "newsletter",
"count": 3
}
],
"revenueByNetwork": [
{
"network": "api",
"revenue": 49.9,
"conversions": 1
}
],
"revenueByTrafficSource": [
{
"source": "newsletter",
"revenue": 49.9,
"conversions": 1
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"errors": {}
}{
"error": "<string>",
"message": "<string>"
}Query Parameters
Response
Project totals and time series.
⌘I
Get project analytics
curl --request GET \
--url https://api.trackup.me/v1/projects/{id}/analytics/overview \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.trackup.me/v1/projects/{id}/analytics/overview"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.trackup.me/v1/projects/{id}/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trackup.me/v1/projects/{id}/analytics/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trackup.me/v1/projects/{id}/analytics/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trackup.me/v1/projects/{id}/analytics/overview")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trackup.me/v1/projects/{id}/analytics/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"granularity": "hour",
"totalRequests": 3,
"uniqueVisitors": 2,
"totalConversions": 1,
"totalRevenue": 49.9,
"averageOrderValue": 49.9,
"requestsOverTime": [
{
"date": "2026-06-01 12:00:00.000",
"requests": 3,
"visitors": 2
}
],
"revenueOverTime": [
{
"date": "2026-06-01 12:00:00.000",
"revenue": 49.9,
"conversions": 1
}
],
"topCountries": [
{
"country": "BR",
"count": 3
}
],
"trafficSources": [
{
"source": "newsletter",
"count": 3
}
],
"revenueByNetwork": [
{
"network": "api",
"revenue": 49.9,
"conversions": 1
}
],
"revenueByTrafficSource": [
{
"source": "newsletter",
"revenue": 49.9,
"conversions": 1
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"errors": {}
}{
"error": "<string>",
"message": "<string>"
}